/*
 *  defines.h - define general constants
 *
 *  Copyright (C) 1998 Hugo Haas
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef DEFINES_H
#define DEFINES_H

/* General purpose declaration */
#define NONE 0
#define NOFILE 1024
#define NOT_DEFINED -1

/* Logging level */
#include <sys/syslog.h>
#define LOGLEVEL LOG_NOTICE

/* IP Protocols */
#define ALL  0
#define ICMP 1
#define TCP  6

/* Boolean values */
#define TRUE  1
#define FALSE 0

/* Maximum length of a configuration file line */
#define LINE 1024

/* Size of a packet */
#define PACKET_LENGTH 8192

/* Length of a username */
#define USERNAME_LENGTH 256

/* Delimiters for the configuration file */
#define COMMENT_MARK '#'
#define DELIMITERS " \t\n"
#define MASK_DM '/'
#define RANGE_DM '-'

/* Useful types */
#include <db.h>
#ifndef _I386_TYPES_H
typedef u_int32_t __u32;
typedef u_int16_t __u16;
typedef u_int8_t __u8;
#endif

#endif

/*
 * $Log: defines.h,v $
 * Revision 1.5  1998/12/01 12:37:56  hugoh
 * Added a test for type definition
 *
 * Revision 1.4  1998/11/29 20:50:11  hugo
 * New filtering mechanism
 *
 * Revision 1.3  1998/10/27 23:58:12  hugo
 * Version 0.3
 *
 * Revision 1.2  1998/10/25 23:23:26  hugo
 * Changes for version 0.2
 *
 * Revision 1.1  1998/10/25 15:06:50  hugo
 * Initial revision
 *
 */
